/*
 *	analy_x86.cc
 */

/*	Copyright (C) 1999, 2000 Sebastian Biallas (sb@web-productions.de)
 *
 *	This program is free software; you can redistribute it and/or modify
 *	it under the terms of the GNU General Public License version 2 as
 *   published by the Free Software Foundation.
 *
 *	This program is distributed in the hope that it will be useful,
 *	but WITHOUT ANY WARRANTY; without even the implied warranty of
 *	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *	GNU General Public License for more details.
 *
 *	You should have received a copy of the GNU General Public License
 *	along with this program; if not, write to the Free Software
 *	Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#include "x86dis.h"
#include "analy_x86.h"

/*
 *
 */
void analy_x86_disassembler::init(analyser *A)
{
	analy_disassembler::init(A);
}

/*
 *
 */
int  analy_x86_disassembler::load(htstream *f)
{
	return 0;
}

/*
 *
 */
void analy_x86_disassembler::done()
{
	analy_disassembler::done();
}

/*
 *
 */
void analy_x86_disassembler::init_disasm()
{
	dprintf("analy_x86_disassembler: initing x86dis\n");
	disasm = new x86dis(X86_OPSIZE32, X86_ADDRSIZE32);
	if (analy) analy->setdisasm(disasm);
}

/*
 *
 */
void analy_x86_disassembler::store(htstream *f)
{
}


