/*
 *	global.h
 */

/*	Copyright (C) 1999 Sebastian Biallas (sb@web-factory.de)
 *
 *	This program is free software; you can redistribute it and/or modify
 *	it under the terms of the GNU General Public License version 2 as
 *   published by the Free Software Foundation.
 *
 *	This program is distributed in the hope that it will be useful,
 *	but WITHOUT ANY WARRANTY; without even the implied warranty of
 *	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *	GNU General Public License for more details.
 *
 *	You should have received a copy of the GNU General Public License
 *	along with this program; if not, write to the Free Software
 *	Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

/*
 *	*** std. types ***
 */

#ifndef global_h
#define global_h

/*
 *	switches
 */

//#define DEBUG

/*
 *	types
 */

#define byte unsigned char
#define word unsigned short
#define dword unsigned long

#ifndef NULL
#	define NULL 0
#endif

#define ADDR unsigned long

#define STUB
#define ABSTRACT

/*
 *	steves strucs
 */

struct bounds {
	int x, y, w, h;
};

/*
 *	macros;
 */

#define NEWPTR(type, var) type	*var = (type *) malloc(sizeof(type))

#ifdef DEBUG
#define dprintf(msg...) printf(##msg)
#else
#define dprintf(msg...)
#endif

/*
 *	compile time formats
 */

// #define HEX8FORMAT8 "%08lx"
// #define HEX8FORMAT "%08lx"
#define HEX8FORMAT8 "%8lx"
#define HEX8FORMAT "%lx"
#endif
